unit mainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TDemo = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    barcode1d: TButton;
    pdf417: TButton;
    dm: TButton;
    mx: TButton;
    Main: TButton;
    Label3: TLabel;
    Label4: TLabel;
    procedure MainClick(Sender: TObject);
    procedure barcode1dClick(Sender: TObject);
    procedure pdf417Click(Sender: TObject);
    procedure dmClick(Sender: TObject);
    procedure mxClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Demo: TDemo;

implementation

uses BarcodeDemo, PDF417Demo, DatamatrixDemo, MaxicodeDemo;

{$R *.DFM}

procedure TDemo.MainClick(Sender: TObject);
begin
  Application.terminate;
end;

procedure TDemo.barcode1dClick(Sender: TObject);
var
RBarcodeDemo:TRBarcodeDemo;
begin

  Application.CreateForm(TRBarcodeDemo, RBarcodeDemo);
  RBarcodeDemo.show();
end;

procedure TDemo.pdf417Click(Sender: TObject);
var
PDFDemo:TPDFDemo;
begin

  Application.CreateForm(TPDFDemo, PDFDemo);
  PDFDemo.show();
end;

procedure TDemo.dmClick(Sender: TObject);
var
DMDemo:TDMDemo;
begin

  Application.CreateForm(TDMDemo, DMDemo);
  DMDemo.show();
end;

procedure TDemo.mxClick(Sender: TObject);
var
MXDemo:TMXDemo;
begin

  Application.CreateForm(TMXDemo, MXDemo);
  MXDemo.show();
end;

end.
